<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// start output
		include("header.php");
			
		// set template
		$tp = new Template("tpl/assetclassgroup.tpl", $config_yapter_error);
		
		// set language variables
		$tp->setvars($lang);
	
	// setup assetclassgroup
		// build query
		$query = "SELECT
				assetclassgroup.assetclassgroup_id AS assetclassgroup_id,
				assetclassgroup.assetclassgroup_name AS assetclassgroup_name
			FROM
				assetclassgroup
			ORDER BY
				assetclassgroup.assetclassgroup_name";
		
		// run query
		$assetclassgroups = $db->db_select($query);
		
		// count results
		$assetclassgroup_counter = count($assetclassgroups);
		
		// counter to tpl
		$tp->set("assetclassgroup_counter", $assetclassgroup_counter);
		
		// any assetclassgroups?
		if ($assetclassgroup_counter>0) {
			// get objects
			foreach($assetclassgroups AS $assetclassgroup) {
				// send to tpl
				$tp->set("assetclassgroup_id", $assetclassgroup['assetclassgroup_id']);
				$tp->set("assetclassgroup_name", $assetclassgroup['assetclassgroup_name']);
				
				$tp->set("assetclassgroup_id", $assetclassgroup['assetclassgroup_id']);
				$tp->set("assetclassgroup_name", $assetclassgroup['assetclassgroup_name']);
				
				// parse row
				$tp->parse("assetclassgroup_row");
			}
			
			// parse block
			$tp->parse("assetclassgroup_table");
		} else {
			// hide block
			$tp->hide("assetclassgroup_table");
		}
	
	// end page
		// output
		$tp->parse();
		$tp->spit();
		
		// end output
		include("footer.php");
?>