<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id
		$assetclassgroup_id = sanitize($_GET['assetclassgroup_id']);
		
		// start output
		include("header.php");
		
		// set template
		$tp = new Template("tpl/assetclassgroupview.tpl", $config_yapter_error);
		
		// set language variables
		$tp->setvars($lang);
		
	// setup assetclassgroup
		// build query
		$query = "SELECT
				assetclassgroup.assetclassgroup_id AS assetclassgroup_id,
				assetclassgroup.assetclassgroup_name AS assetclassgroup_name,
				assetclassgroup.assetclassgroup_color AS assetclassgroup_color
			FROM
				assetclassgroup
			WHERE
				assetclassgroup.assetclassgroup_id=" . $assetclassgroup_id;
		
		// run query
		$assetclassgroup = $db->db_select($query);
		
		// send to tpl
		$tp->set("assetclassgroup_id", $assetclassgroup[0]['assetclassgroup_id']);
		$tp->set("assetclassgroup_name", $assetclassgroup[0]['assetclassgroup_name']);
		$tp->set("assetclassgroup_color", $assetclassgroup[0]['assetclassgroup_color']);
		
	// setup assetclass
		// build query
		$query = "SELECT
				assetclass.assetclass_id AS assetclass_id,
				assetclass.assetclass_name AS assetclass_name
			FROM
				assetclass
			WHERE
				assetclass.assetclassgroup_id=" . $assetclassgroup_id . "
			ORDER BY
				assetclass.assetclass_name";
		
		// run query
		$assetclasses = $db->db_select($query);
		
		// count results
		$assetclass_counter = count($assetclasses);
		
		// counter to tpl
		$tp->set("assetclass_counter", $assetclass_counter);
		
		// any assets?
		if ($assetclass_counter>0) {
			// get objects
			foreach($assetclasses AS $assetclass) {
				// send to tpl
				$tp->set("assetclass_id", $assetclass['assetclass_id']);
				$tp->set("assetclass_name", $assetclass['assetclass_name']);
				
				// parse row
				$tp->parse("assetclass_row");
			}
			
			// parse block
			$tp->parse("assetclass_table");
		} else {
			// hide block
			$tp->hide("assetclass_table");
		}
		
	// end page
		// output
		$tp->parse();
		$tp->spit();
		
		// end output
		include("footer.php");
?>