<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id
		$assetclass_id = sanitize($_GET['assetclass_id']);
		
		// start output
		include("header.php");
		
		// set template
		$tp = new Template("tpl/assetclassedit.tpl", $config_yapter_error);
		
		// set language variables
		$tp->setvars($lang);
		
	// setup assetclass
		// build query
		$query = "SELECT
				assetclass.assetclass_id AS assetclass_id,
				assetclass.assetclass_name AS assetclass_name,
				assetclass.assetclassgroup_id AS assetclassgroup_id
			FROM
				assetclass
			WHERE
				assetclass.assetclass_id=" . $assetclass_id;
		
		// run query
		$assetclass = $db->db_select($query);
		
		// send to tpl
		$tp->set("assetclass_id", $assetclass[0]['assetclass_id']);
		$tp->set("assetclass_name", $assetclass[0]['assetclass_name']);
	
	// setup assetclassgroup
		// build query
		$query = "SELECT
				assetclassgroup.assetclassgroup_id AS assetclassgroup_id,
				assetclassgroup.assetclassgroup_name AS assetclassgroup_name
			FROM
				assetclassgroup
			ORDER BY
				assetclassgroup.assetclassgroup_name";
		
		// run query
		$assetclassgroups = $db->db_select($query);
		
		// get objects
		foreach($assetclassgroups AS $assetclassgroup) {
			// send to tpl
			$tp->set("assetclassgroup_id", $assetclassgroup['assetclassgroup_id']);
			$tp->set("assetclassgroup_name", $assetclassgroup['assetclassgroup_name']);
			
			if($assetclassgroup['assetclassgroup_id']==$assetclass[0]['assetclassgroup_id']) {
				$tp->set("assetclassgroup_selected", "selected");
			} else {
				$tp->set("assetclassgroup_selected", "");
			}
			
			// parse block
			$tp->parse("assetclassgroup_row");
		}
		
		// parse block
		$tp->parse("assetclassgroup_table");
	
	// end page
		// output
		$tp->parse();
		$tp->spit();
		
		// end output
		include("footer.php");
?>