<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id	
		$asset_id = sanitize($_GET['asset_id']);
		
		// start output
		include("header.php");
		
		// set template
		$tp = new Template("tpl/assetedit.tpl", $config_yapter_error);
		
		// set language variables
		$tp->setvars($lang);
	
	// setup asset
		// build query
		$query = "SELECT
				asset.asset_name AS asset_name,
				asset.asset_hostname AS asset_hostname,
				asset.asset_info AS asset_info,
				asset.assetclass_id AS assetclass_id
			FROM
				asset
			WHERE
				asset.asset_id=" . $asset_id;
		
		// run query
		$asset = $db->db_select($query);
		
		// send to tpl
		$tp->set("asset_id", $asset_id);
		$tp->set("asset_name", $asset[0]['asset_name']);
		$tp->set("asset_hostname", $asset[0]['asset_hostname']);
		$tp->set("asset_info", $asset[0]['asset_info']);
	
	// setup assetclass
		// build query
		$query = "SELECT
				assetclass.assetclass_id AS assetclass_id,
				assetclass.assetclass_name AS assetclass_name
			FROM
				assetclass
			ORDER BY
				assetclass.assetclass_name";
		
		// run query
		$assetclasses = $db->db_select($query);
		
		// count results
		$assetclass_counter = count($assetclasses);
		
		// any nodes?
		if ($assetclass_counter>0) {
			// get objects
			foreach($assetclasses AS $assetclass) {
				// send to tpl
				$tp->set("assetclass_id", $assetclass['assetclass_id']);
				$tp->set("assetclass_name", $assetclass['assetclass_name']);
				
				// set select box
				if($assetclass['assetclass_id']==$asset[0]['assetclass_id']) {
					$tp->set("assetclass_selected", "selected");
				} else {
					$tp->set("assetclass_selected", "");
				}
				
				// parse block
				$tp->parse("assetclass_row");
			}
			// parse block
			$tp->parse("assetclass_table");
		} else {
			// parse block
			$tp->hide("assetclass_table");
		}
	
	// end page
		// output
		$tp->parse();
		$tp->spit();
		
		// footer
		include("footer.php");
?>