<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// include language file
		include('lang/en.php');
			
		// set template
		$tp = new Template("tpl/header.tpl", $config_yapter_error);
				
		// set language variables
		$tp->setvars($lang);
	
	// search box
		// new search?
		if (isset($_POST['search'])) {
			// set var
			$search = sanitize($_POST['search']);
			
			// store var
			$_SESSION['search'] = $search;
		} else {
			// check for stored var
			if(isset($_SESSION['search'])) {
				// set var
				$search = $_SESSION['search'];
			} else {
				// empty var
				$search = '';
			}
		}
	
		// to tpl
		// set global template vars
		$tp->set("config_version", $config_version);
		$tp->set("suser_name", $_SESSION['suser_displayname']);
		$tp->set("search", $search);
	
	// menu
		// assets
		if($_SESSION['suser_menu_assets']=='on') {
			$tp->parse("menu_assets");
		} else {
			$tp->hide("menu_assets");
		}
		// assetclasses
		if($_SESSION['suser_menu_assetclasses']=='on') {
			$tp->parse("menu_assetclasses");
		} else {
			$tp->hide("menu_assetclasses");
		}
		// assetclassgroups
		if($_SESSION['suser_menu_assetclassgroups']=='on') {
			$tp->parse("menu_assetclassgroups");
		} else {
			$tp->hide("menu_assetclassgroups");
		}
		// locations
		if($_SESSION['suser_menu_locations']=='on') {
			$tp->parse("menu_locations");
		} else {
			$tp->hide("menu_locations");
		}
		// nodes
		if($_SESSION['suser_menu_nodes']=='on') {
			$tp->parse("menu_nodes");
		} else {
			$tp->hide("menu_nodes");
		}
		// subnets
		if($_SESSION['suser_menu_subnets']=='on') {
			$tp->parse("menu_subnets");
		} else {
			$tp->hide("menu_subnets");
		}
		// users
		if($_SESSION['suser_menu_users']=='on') {
			$tp->parse("menu_users");
		} else {
			$tp->hide("menu_users");
		}
		// vlans
		if($_SESSION['suser_menu_vlans']=='on') {
			$tp->parse("menu_vlans");
		} else {
			$tp->hide("menu_vlans");
		}
	
	// end page
		// output
		$tp->parse();
		$tp->spit();
?>