<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get ip and id
		$subnet_id = sanitize($_GET['subnet_id']);
		
		// start output
		include("header.php");
		
		// set template
		$tp = new Template("tpl/subnetlocationadd.tpl", $config_yapter_error);
		
		// set language variables
		$tp->setvars($lang);
	
	// setup subnet
		// build query
		$query = "SELECT
				subnet.subnet_address AS subnet_address,
				subnet.subnet_mask AS subnet_mask
			FROM
				subnet
			WHERE
				subnet.subnet_id=" . $subnet_id;
		
		// run query
		$subnet = $db->db_select($query);
		
		$tp->set("subnet_id", $subnet_id);
		$tp->set("subnet_address", $subnet[0]['subnet_address']);
		$tp->set("subnet_mask", $subnet[0]['subnet_mask']);
	
	// start parent
		// build query
		$query = "SELECT
				location.location_id AS location_id,
				location.location_name AS location_name,
				location.location_parent AS location_parent
			FROM
				location
			WHERE
				location.location_id NOT IN (
					SELECT
						location_id
					FROM
						subnetlocation
					WHERE
						subnet_id=" . $subnet_id . "
				)
			ORDER BY
				location.location_name";
		
		// run query
		$locations = $db->db_select($query);
		
		// count results
		$location_counter = count($locations);
		
		// any locations?
		if ($location_counter>0) {
			// get objects
			foreach($locations AS $location) {
				// send to tpl
				$tp->set("location_id", $location['location_id']);
				$tp->set("location_name", $location['location_name']);
				
				// parse row
				$tp->parse("location_row");
			}
			
			// parse block
			$tp->parse("location_table");
		} else {
			// hide block
			$tp->hide("location_table");
		}
	
	// end page
		// output
		$tp->parse();
		$tp->spit();
		
		// end output
		include("footer.php");
?>