<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get ip and id
		$subnet_id = sanitize($_GET['subnet_id']);
		
		// start output
		include("header.php");
		
		// set template
		$tp = new Template("tpl/subnetvlanadd.tpl", $config_yapter_error);
		
		// set language variables
		$tp->setvars($lang);
	
	// setup subnet
		// build query
		$query = "SELECT
				subnet.subnet_address AS subnet_address,
				subnet.subnet_mask AS subnet_mask
			FROM
				subnet
			WHERE
				subnet.subnet_id=" . $subnet_id;
		
		// run query
		$subnet = $db->db_select($query);
		
		$tp->set("subnet_id", $subnet_id);
		$tp->set("subnet_address", $subnet[0]['subnet_address']);
		$tp->set("subnet_mask", $subnet[0]['subnet_mask']);
	
	// setup vlan
		// build query
		$query = " SELECT
				vlan.vlan_id AS vlan_id,
				vlan.vlan_number AS vlan_number,
				vlan.vlan_name AS vlan_name
			FROM
				vlan
			WHERE
				vlan.vlan_id NOT IN (
					SELECT
						vlan_id
					FROM
						subnetvlan
					WHERE
						subnet_id=" . $subnet_id . "
				)
			ORDER BY
				vlan.vlan_number";
		
		// run query
		$vlans = $db->db_select($query);
		
		// count results
		$vlan_counter = count($vlans);
		
		// any vlans?
		if ($vlan_counter>0) {
			// get objects
			foreach($vlans AS $vlan) {
				// send to tpl
				$tp->set("vlan_id", $vlan['vlan_id']);
				$tp->set("vlan_number", $vlan['vlan_number']);
				$tp->set("vlan_name", $vlan['vlan_name']);
				
				// parse row
				$tp->parse("vlan_row");
			}
			
			// parse block
			$tp->parse("vlan_table");
		} else {
			// hide block
			$tp->hide("vlan_table");
		}
	
	// end page
		// output
		$tp->parse();
		$tp->spit();
		
		// end output
		include("footer.php");
?>