	<table class="title">
		<tr>
			<td class="header">
				{subnet_address}/{subnet_mask}
			</td>
			<td align="right">
				<a href="subnetedit.php?subnet_id={subnet_id}"><img src="image.php?icon=edit" alt="{lang_subnet_edit}"></a>
				<a href="subnetdel.php?subnet_id={subnet_id}"><img src="image.php?icon=delete" alt="{lang_subnet_del}"></a>
			</td>
		</tr>
	</table>
	
	<p>
	
	[BLOCK subnet_table AS subnet_table]
	<table class="info">
		<tr>
			<td class="header">
				{lang_subnet}
			</td>
			<td class="header" align="right">
				[BLOCK noselect]
				{iprange1}.{iprange2}.{iprange3}.{iprange4}
				[END noselect]
				[BLOCK one_select]
				{iprange1}.{iprange2}.
				<select name="pagination" onchange="changelink(this.options[this.selectedIndex].value);">
					[BLOCK one_select_row]
					<option value="{subnet_id}&amp;page={iprange1}.{iprange2}.{iprange3}.0" {row_selected}>{iprange3}.0</option>
					[END one_select_row]
				</select>
				[END one_select]
				[BLOCK two_select]
				<select name="pagination" onchange="changelink(this.options[this.selectedIndex].value);">
					[BLOCK two_select_row1]
					<option value="{subnet_id}&amp;page={iprange1}.{iprange2}.{iprange3}.0" {row1_selected}>{iprange1}.{iprange2}</option>
					[END two_select_row1]
				</select>
				<select name="pagination" onchange="changelink(this.options[this.selectedIndex].value);">
					[BLOCK two_select_row2]
					<option value="{subnet_id}&amp;page={iprange1}.{iprange2}.{iprange3}.0" {row2_selected}>{iprange3}.0</option>
					[END two_select_row2]
				</select>
				[END two_select]
			</td>
		</tr>
		<tr>
			<td class="label" colspan="2">
				[BLOCK node_table AS node_table]
				<table class="subnetview">
					<tr>
						[BLOCK node_row]
						<td>
							<a href="{url}" onMouseOver="changetext('remotetext','{remotetext}')" onMouseOut="changetext('remotetext','&nbsp;')"><img src="image.php?color={assetclassgroup_color}" alt="{remotetext}"></a>
						</td>
						{tr}
						[END node_row]
					</tr>
				</table>
				<a id="remotetext">&nbsp;</a>
				[END node_table]
			</td>
		</tr>
		<tr>
			<td class="label">
				{lang_subnet_subnetaddress}
			</td>
			<td class="value">
				<a href="subnetview.php?subnet_id={subnet_id}">{subnet_address}</a>
			</td>
		</tr>
		<tr>
			<td class="label">
				{lang_subnet_mask}
			</td>
			<td class="value">
				{subnetmask1}.{subnetmask2}.{subnetmask3}.{subnetmask4}
			</td>
		</tr>
		<tr>
			<td class="label">
				{lang_subnet_nodesinsubnet}
			</td>
			<td class="value">
				<a href="node.php?subnet_id={subnet_id}">{node_counter}</a>&nbsp;&#47;&nbsp;{host_counter}&nbsp;({subnet_usedpercentage}&#37;)
			</td>
		</tr>
		<tr>
			<td class="label">
				{lang_subnet_info}
			</td>
			<td class="value">
				{subnet_info}
			</td>
		</tr>
	</table>
	[END subnet_table]
	
	<p>
	
	<table class="info">
		<tr>
			<td class="header">
				{lang_assetclasses}
			</td>
			<td class="header_right">
				&nbsp;
			</td>
		</tr>
		<tr>
			<td class="label">
				<img src="image.php?color={config_color_unused}" alt="{lang_unassigned}">&nbsp;{lang_unassigned}
			</td>
			<td>
				{free_counter}
			</td>
		</tr>
		[BLOCK assetclassgroup_table AS assetclassgroup_table]
		[BLOCK assetclassgroup_row]
		<tr>
			<td class="label">
				<img src="image.php?color={assetclassgroup_color}" alt="{assetclassgroup_name}">&nbsp;<a href="assetclassgroupview.php?assetclassgroup_id={assetclassgroup_id}">{assetclassgroup_name}</a>
			</td>
			<td>
				{assetclassgroup_node_counter}
			</td>
		</tr>
		[END assetclassgroup_row]
		[END assetclassgroup_table]
	</table>
	
	<p>
	
	<table class="info">
		<tr>
			<td class="header">
				{lang_vlans}
			</td>
			<td class="header_right">
				<a href="subnetvlanedit.php?subnet_id={subnet_id}"><img src="image.php?icon=edit" alt="{lang_subnetvlan_edit}"></a>
			</td>
		</tr>
		<tr>
			<td class="label">
				{lang_vlans} ({vlan_counter})
			</td>
			<td class="value">
				[BLOCK vlan_table AS vlan_table]
				[BLOCK vlan_row]
				<a href="vlanview.php?vlan_id={vlan_id}">{vlan_name} ({vlan_number})</a><br>
				[END vlan_row]
				[END vlan_table]
			</td>
		</tr>
	</table>
	
	<p>
	
	<table class="info">
		<tr>
			<td class="header">
				{lang_locations}
			</td>
			<td class="header" align="right">
				<a href="subnetlocationedit.php?subnet_id={subnet_id}"><img src="image.php?icon=edit" alt="{lang_location_edit}"></a>
			</td>
		</tr>
		<tr>
			<td class="label">
				{lang_locations} ({location_counter})
			</td>
			<td class="value">
				[BLOCK location_table AS location_table]
				[BLOCK location_row]
				<a href="locationview.php?location_id={location_id}">{location_name}</a><br>
				[END location_row]				
				[END location_table]
			</td>
		</tr>
	</table>